//
// See the file LICENSE for redistribution information.
//
// Copyright (c) 2002-2003
//	Sleepycat Software.  All rights reserved.
//

static const char revid[] = "$Id: IDS.cpp,v 1.15 2003/05/09 00:01:46 mjc Exp $";

#include "dbxml_config.h"
#include "dbxml/XmlPortability.hpp"
#include "IDS.hpp"
#include "TypeConversions.hpp"

using namespace std;
using namespace DbXml;

string IDS::toString() const
{
	string s;
	s += "[";
	s += DbXml::toString((u_int32_t)ids.size());
	s += "]";
	IDS::const_iterator p;
	for (p = ids.begin();p != ids.end();++p) {
		s += " ";
		s += DbXml::toString((u_int32_t)(*p).raw());
	}
	return s;
}
